//
//  Controleur.h
//  Memoire
//
//  Created by Thomas Jannaud on 18/08/08.
//  Copyright 2008 Jannaud's Technical Company. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Constantes.h"

@class Partie, MyView;

@interface Controleur : NSObject {
	IBOutlet NSButton* bouton_start;
	IBOutlet MyView* window;
	IBOutlet NSWindow* WindowPrefs;
	IBOutlet NSMenuItem * MenuPrefs;
	IBOutlet NSButtonCell* option1;
	IBOutlet NSButtonCell* option2;
	IBOutlet NSButtonCell* option3;
	IBOutlet NSTextField* LabelRecord;
	IBOutlet NSTextField* LabelInfo;
	Partie* game;
	OptionDeJeu option;
	bool partie_en_cours, is_showing_pref;
}

-(IBAction)nouvellepartie:(id) sender;
-(IBAction)changeoption1:(id) sender;
-(IBAction)changeoption2:(id) sender;
-(IBAction)changeoption3:(id) sender;
-(IBAction)ShowPrefs:(id) sender;
-(IBAction)RAZRecords:(id) sender;

-(BOOL)windowShouldClose:(id)windo; // fenêtre préférence
-(id) init;
-(void) initialiser;
-(void) raz;
-(void) awakeFromNib;
-(void) show_record;
-(void) end_game;
-(void) info:(NSString*) message;
+(void) initialize;

@end
