//
//  animation.m
//  Memoire
//
//  Created by Thomas Jannaud on 20/08/08.
//  Copyright 2008 Jannaud's Technical Company. All rights reserved.
//

#import "animation.h"

@implementation animation
@synthesize step;

-(id) init: (int) nbre : (float) interval : (bool) InitBipp : (bool) FinBipp : (NSObject*) lacible : (SEL) fonction_etape : (SEL) fonction_finale {
	if(self = [super init]) {
		nb = nbre;
		intervalle = interval;
		step = 0;
		cible = lacible;
		fonction_etap = fonction_etape;
		fonction_fin = fonction_finale;
		initbip = InitBipp;
		finbip = FinBipp;
	}
	return self;
}

-(void) lancer {
	chrono = [NSTimer timerWithTimeInterval:intervalle target:self selector:@selector(bip:) userInfo:nil repeats:YES];
	[[NSRunLoop currentRunLoop] addTimer:chrono forMode:NSDefaultRunLoopMode];
	[chrono fire];
}

-(void) die {
	[chrono invalidate];
}

-(void) bip:(NSTimer*)theTimer {
	if (initbip && 0 <= step && step < nb)
		[cible performSelector:(fonction_etap) withObject:(id)step];
	else if (!initbip && 1 <= step && step <= nb)
		[cible performSelector:(fonction_etap) withObject:(id)(step-1)];
	
	step++;
	int a = initbip ? 0 : 1;
	int b = finbip ? 0 : 1;
	
	if (step == (nb + a + b)){
		[chrono invalidate];
		[cible performSelector:(fonction_fin)];
	}
}

@end
